MONGOC_STREAM_TLS_NEW(3)

NAME
mongoc_stream_tls_new() - Creates a new mongoc_stream_tls_t using the parameters supplied.

SYNOPSIS

mongoc_stream_t *
mongoc_stream_tls_new (mongoc_stream_t  *base_stream,
                       mongoc_ssl_opt_t *opt,
                       int               client);

PARAMETERS

base_stream
    A mongoc_stream_t \&.

opt A mongoc_ssl_opt_t \&.

client
    1 for client, 0 for server TLS.

Creates a new mongoc_stream_tls_t using the parameters supplied.

RETURNS

A newly allocated mongoc_stream_tls_t \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.